Package org.apache.wiki.plugin

# Class TableOfContents

java.lang.Object
org.apache.wiki.plugin.TableOfContents

All Implemented Interfaces:
  `org.apache.wiki.api.plugin.Plugin`, `HeadingListener`

public class TableOfContents extends Object implements org.apache.wiki.api.plugin.Plugin, HeadingListener
Provides a table of contents.

Parameters :

- title - The title of the table of contents.
- numbered - if true, generates automatically numbers for the headings.
- start - If using a numbered list, sets the start number.
- prefix - If using a numbered list, sets the prefix used for the list.

Since:
  2.2

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PARAM_NUMBERED`
Parameter name for setting whether the headings should be numbered.
`static final String`
`PARAM_PREFIX`
Parameter name for setting what the prefix for the heading is.
`static final String`
`PARAM_START`
Parameter name for setting where the numbering should start.
`static final String`
`PARAM_TITLE`
Parameter name for setting the title.

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

## Constructor Summary

Constructors
Constructor
Description
`TableOfContents()`

## Method Summary

Modifier and Type
Method
Description
`String`
`execute(org.apache.wiki.api.core.Context context, Map<String,String> params)`
`String`
`getDisplayName(Locale locale)`
`String`
`getSnipExample()`
`void`
`headingAdded(org.apache.wiki.api.core.Context context, Heading hd)`
Is called whenever a heading is encountered in the stream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PARAM_TITLE

public static final String PARAM_TITLE
Parameter name for setting the title.

See Also:
  - Constant Field Values

### PARAM_NUMBERED

public static final String PARAM_NUMBERED
Parameter name for setting whether the headings should be numbered.

See Also:
  - Constant Field Values

### PARAM_START

public static final String PARAM_START
Parameter name for setting where the numbering should start.

See Also:
  - Constant Field Values

### PARAM_PREFIX

public static final String PARAM_PREFIX
Parameter name for setting what the prefix for the heading is.

See Also:
  - Constant Field Values

## Constructor Details

### TableOfContents

public TableOfContents()

## Method Details

### getDisplayName

public String getDisplayName(Locale locale)

Specified by:
  `getDisplayName` in interface `org.apache.wiki.api.plugin.Plugin`

### getSnipExample

public String getSnipExample()

Specified by:
  `getSnipExample` in interface `org.apache.wiki.api.plugin.Plugin`

### headingAdded

public void headingAdded(org.apache.wiki.api.core.Context context, Heading hd)
Is called whenever a heading is encountered in the stream.

Specified by:
  `headingAdded` in interface `HeadingListener`
Parameters:
  `context` - The WikiContext
  `hd` - The heading which was just encountered.

### execute

public String execute(org.apache.wiki.api.core.Context context, Map<String,String> params) throws org.apache.wiki.api.exceptions.PluginException

Specified by:
  `execute` in interface `org.apache.wiki.api.plugin.Plugin`
Throws:
  `org.apache.wiki.api.exceptions.PluginException`